package game.biome;

import game.init.Blocks;
import game.rng.Random;
import game.rng.WeightedList;
import game.world.BlockPos;
import game.world.WorldServer;
import game.worldgen.ChunkPrimer;

public class BiomeNone extends Biome {
	public BiomeNone(int id) {
		super(id);
		this.topBlock = Blocks.air.getState();
		this.fillerBlock = Blocks.air.getState();
	}

	protected void addMobs(WeightedList<Biome.RngSpawn> mobs) {
	}

	public void genTerrainBlocks(WorldServer worldIn, Random rand, ChunkPrimer chunkPrimerIn, int x, int z, double noiseVal) {
	}

	public void decorate(WorldServer worldIn, Random rand, BlockPos pos) {
	}

	public Biome.TempCategory getTempCategory() {
		return Biome.TempCategory.SEA;
	}
}
