package game.biome;

import game.entity.animal.EntitySheep;
import game.entity.npc.EntitySpirit;
import game.init.Blocks;
import game.rng.WeightedList;

public class BiomeSnowLand extends Biome
{
    public BiomeSnowLand(int id)
    {
        super(id);
        this.topBlock = Blocks.snow.getState();
        this.fillerBlock = Blocks.snow.getState();
        this.mushroomsPerChunk = -1;
    }
    
    protected void addMobs(WeightedList<Biome.RngSpawn> mobs) {
        mobs.add(new Biome.RngSpawn(EntitySheep.class, 50, 4, 4));
        mobs.add(new Biome.RngSpawn(EntitySpirit.class, 10, 1, 1));
    }
}
