package game.block;

import game.material.Material;
import game.world.BlockPos;
import game.world.Facing;
import game.world.IWorldAccess;
import game.world.State;

public class BlockCompressedPowered extends Block
{
    public BlockCompressedPowered(Material p_i46386_1_)
    {
        super(p_i46386_1_);
    }

    /**
     * Can this block provide power. Only wire currently seems to have this change based on its state.
     */
    public boolean canProvidePower()
    {
        return true;
    }

    public int getWeakPower(IWorldAccess worldIn, BlockPos pos, State state, Facing side)
    {
        return 15;
    }
    
    public boolean isMagnetic() {
    	return true;
    }
}
