package game.block;

import game.init.Config;
import game.item.CheatTab;
import game.material.Material;
import game.world.BlockPos;
import game.world.State;
import game.world.WorldServer;

public class BlockCore extends Block {
	public BlockCore() {
		super(Material.iron);
		this.setTab(CheatTab.tabTech);
	}
	
	public void onBlockRemoved(WorldServer world, BlockPos pos, State state)
    {
		if(Config.loaders)
			world.removeLoader(pos);
    }
	
	public void onBlockAdded(WorldServer world, BlockPos pos, State state)
    {
		if(Config.loaders)
			world.addLoader(pos);
    }
}
