package game.dimension;

import game.biome.Biome;

public final class Space extends Dimension {
	public static final Space INSTANCE = new Space();
	
	private Space() {
		super(0, "space");
		this.setPhysics(1L, 1L, 0.0f, 0.0f, 2.7f, 15).setTimeQualifier(8);
		this.setBiome(Biome.space).setStarBrightness(1.0f).setDeepStarBrightness(1.0f);
		this.setCustomName("Der Weltraum");
	}

	public final DimType getType() {
		return DimType.SPACE;
	}

//	public String getDimensionName() {
//		return "space";
//	}
//
//	public int getDimensionId() {
//		return Constants.SPACE_WORLD;
//	}

//	public Biome getBiome() {
//		return Biome.space;
//	}
//
//	public final float getGravity() {
//		return 0.0f;
//	}
//
//	public IBlockState getCaveFiller() {
//		return Blocks.air.getDefaultState();
//	}
//
//	public IBlockState getFiller() {
//		return Blocks.air.getDefaultState();
//	}
//
//	public IBlockState getTop() {
//		return Blocks.air.getDefaultState();
//	}
//
//	public IBlockState getSurface() {
//		return Blocks.air.getDefaultState();
//	}
//
//	public IBlockState getAltFiller() {
//		return Blocks.air.getDefaultState();
//	}
//
//	public IBlockState getLavaFiller() {
//		return null;
//	}
//
//	public boolean hasRavines() {
//		return false;
//	}
	
//	public ChunkGenerator createChunkGenerator(Random rand) {
//		return new GeneratorFlat(new IBlockState[0]);
//	}
//	
//	public BlockReplacer createBlockReplacer(Random rand) {
//		return null;
//	}

//	public int getBrightness() {
//		return 15;
//	}
//
//	public final int getSkyColor() {
//		return 0x000000;
//	}
//
//	public IBlockState getWorldFloor() {
//		return null;
//	}
//
//	public final boolean hasSnow() {
//		return false;
//	}
//
//	public final boolean hasCaves() {
//		return false;
//	}

//	public final float getCloudHeight(float height) {
//		return height;
//	}

//	public float getStarBrightness() {
//		return 1.0f;
//	}
//
//	public float getDeepStarBrightness() {
//		return 1.0f;
//	}
//
//	public float getLavaChance() {
//		return 0.0f;
//	}
//
//	public float getWaterChance() {
//		return 0.0f;
//	}
//
//	public boolean hasDungeons() {
//		return false;
//	}
//
//	public IBlockState getSurfaceLiquid() {
//		return Blocks.air.getDefaultState();
//	}
//
//	public int getSeaLevel() {
//		return 0;
//	}
//
//	public final int getTimeQualifier() {
//		return 8;
//	}
//
//	public final long getOrbitalPeriod() {
//		return 1L;
//	}
//	
//	public final long getRotationalPeriod() {
//		return 1L;
//	}
//	
//	public final float getOrbitOffset() {
//		return 0.0f;
//	}
//	
//	public final int getLevelBelow() {
//		return this.getDimensionId();
//	}
//	
//	public float getTemperature() {
//		return 2.7f;
//	}
}
