package game.entity.npc;

import game.rng.Random;
import game.world.World;

public class EntitySpirit extends EntityNPC {
	public EntitySpirit(World worldIn) {
		super(worldIn);
	}
	
//	public boolean isAggressive() {
//		return false;
//	}
//	
//    public boolean isPeaceful() {
//    	return true;
//    }
    
    public boolean isAggressive(Class<? extends EntityNPC> clazz) {
    	return clazz == EntityHaunter.class;
    }
    
    public boolean isPeaceful(Class<? extends EntityNPC> clazz) {
    	return clazz != EntityHaunter.class;
    }
    
//    public boolean canInfight(Alignment align) {
//    	return false;
//    }
//    
//    public boolean canMurder(Alignment align) {
//    	return false;
//    }
    
//    public boolean canUseMagic() {
//    	return false;
//    }
    
//    public int getBaseEnergy(Random rand) {
//    	return rand.range(1, 2);
//    }
    
    public int getBaseHealth(Random rand) {
    	return rand.range(8, 14);
    }
    
    public float getHeightDeviation(Random rand) {
    	return rand.frange(0.0f, 0.1f);
    }
    
    public Alignment getNaturalAlign(Random rand) {
    	return rand.pick(Alignment.LAWFUL_GOOD, Alignment.GOOD);
    }
    
    public boolean isGhost() {
    	return true;
    }
    
	public int getColor() {
		return 0xffffff;
	}

//    public void attackEntityWithRangedAttack(EntityLiving target, float p_82196_2_)
//    {
//        
//    }
    
//    public boolean isRangedWeapon(ItemStack stack) {
//    	return true;
//    }
    
    public float getArmRotation() {
    	return 0.1f;
    }
    
    public float getLegRotation() {
    	return 0.2f;
    }
    
//    public boolean canAmbush(EntityLiving entity) {
//    	return true;
//    }
}
