package game.gui;

import game.audio.Volume;
import game.gui.element.ActButton;
import game.gui.element.ActButton.Mode;

public class GuiSound extends GuiOptions {
	protected GuiSound() {
	}
	
	public void init(int width, int height) {
		// this.addSelector("mid_visualizer", 30, 80, 440, 24); // "Visualisation"
//		this.addSelector("mid_opl_bank", 490, 80, 440, 24);
//		this.addSelector("mid_play_unknown", 30, 120, 440, 24);
//		this.addSelector("mid_keep_notes", 490, 120, 440, 24);
//		this.addSelector("mid_dont_fade", 30, 160, 440, 24);
//		this.addSelector("mid_debug_events", 490, 160, 440, 24);
//		this.addSelector("mid_velocity_func", 30, 200, 440, 24);
//		this.addSelector("mid_opl_voices", 490, 200, 440, 24);
		
//		gui_add_custom(win, 30, 240, 128, 128, gui_render_velocity);
		
		this.addSelector("snd_enabled", 30, 380, 440, 24);
		
//		this.addSelector("snd_sample_rate", 30, 380, 440, 24);
//		this.addSelector("snd_sample_format", 490, 380, 440, 24);
		
		this.addSelector("snd_buffer_size", 30, 420, 440, 24);
		this.addSelector("snd_frame_size", 490, 420, 440, 24);
		
		this.add(new ActButton(30, 480, 900, 24, new ActButton.Callback() {
			public void use(ActButton elem, Mode action) {
				GuiSound.this.gm.restartSound(false);
			}
		}, "Übernehmen und Audio-Thread neu starten"));
		
		int x = 30;
		int y = 220;
		for(Volume volume : Volume.values()) {
			this.addSelector(volume.getCVarName(), x, y, 440, 24);
			x = (x == 30) ? 490 : 30;
			if(x == 30)
				y += 40;
		}
		super.init(width, height);
	}
	
	public String getTitle() {
		return "Audio und Ton";
	}
	
//	void gui_fmt_velofunc(gui_t *elem, int value) {
//		snprintf(elem->text, elem->capacity, "%s %d: %s", elem->format_text, value, (value ? (value == -128 ? "Vollklang [1]" : (value < 0 ? "Log. Gedämpft [nlog(x)]" : "Log.+Minimum [m+nlog(x)]")) : "Linear [x]"));
//	}
	
//	int gui_rect(gui_t *elem, int x, int y, int w, int h, uint color) {
//		gfx_draw_rect(elem->pos_x + x, elem->pos_y + y, w, h, 0, 0, 0xff000000 | color, 0xff000000 | color, 0, 0);
//		return h;
//	}
//	
//	// uint bank_getlevel(char function, byte velocity, byte volume, char pan);
//	
//	void gui_render_velocity(gui_t *elem, int value) {
//		elem->r_dirty = 1;
//		if(!value)
//			gui_rect(elem, 0, 0, elem->size_x, elem->size_y, 0x202020);
//		else
//			return;
//		int y;
//		for(int x = 0; x < 128; x++) {
//			y = x; // bank_getlevel(snd.mid_velo, x, 127, 0) / 512;
//			gui_rect(elem, x, 128 - 1 - y, 1, y, 0x2fbf2f);
//		}
//	}
}
