package game.gui.element;

import game.renderer.Drawing;

public class Label extends Fill {
	public Label(int x, int y, int w, int h, String text, boolean top, boolean left) {
		super(x, y, w, h, text, top, left);
	}

	public Label(int x, int y, int w, int h, String text, boolean left) {
		super(x, y, w, h, text, left);
	}
	
	public Label(int x, int y, int w, int h, String text) {
		super(x, y, w, h, text);
	}

	protected void drawBackground() {
	}
	
	protected void drawForeground(int x1, int y1, int x2, int y2) {
		Drawing.drawText(this.text, x1 + this.text_x, y1 + this.text_y, this.gm.style.text_label);
	}
	
	protected int getMargin() {
		return 0;
	}
}
