package game.item;

import game.block.Block;
import game.block.BlockBasePressurePlate;
import game.renderer.blockmodel.ModelBlock;

public class ItemPressurePlate extends ItemBlock {
	public ItemPressurePlate(Block block) {
		super(block);
	}

	public ModelBlock getModel(String name, int meta) {
    	return new ModelBlock(new ModelBlock(((BlockBasePressurePlate)this.block).getTexture())
			.add(1, 6, 1, 15, 10, 15)
				.d().uv(1, 1, 15, 15).noCull()
				.u().uv(1, 1, 15, 15).noCull()
				.n().uv(1, 6, 15, 10).noCull()
				.s().uv(1, 6, 15, 10).noCull()
				.w().uv(1, 6, 15, 10).noCull()
				.e().uv(1, 6, 15, 10).noCull(), this.getTransform());
    }
}
