package game.packet;

import java.io.IOException;

import game.network.NetHandlerPlayClient;
import game.network.Packet;
import game.network.PacketBuffer;

public class SPacketTimeUpdate implements Packet<NetHandlerPlayClient> {
//	private long totalWorldTime;
	private long worldTime;

	public SPacketTimeUpdate() {
	}

	public SPacketTimeUpdate(long totalTimeIn) {
//		this.totalWorldTime = totalWorldTimeIn;
		this.worldTime = totalTimeIn;
	}

	public void readPacketData(PacketBuffer buf) throws IOException {
//		this.totalWorldTime = buf.readLong();
		this.worldTime = buf.readLong();
	}

	public void writePacketData(PacketBuffer buf) throws IOException {
//		buf.writeLong(this.totalWorldTime);
		buf.writeLong(this.worldTime);
	}

	public void processPacket(NetHandlerPlayClient handler) {
		handler.handleTimeUpdate(this);
	}

//	public long getTotalWorldTime() {
//		return this.totalWorldTime;
//	}

	public long getWorldTime() {
		return this.worldTime;
	}
}
