package game.potion;



public class PotionHealth extends Potion
{
    public PotionHealth(int potionID, String location, boolean badEffect, int potionColor)
    {
        super(potionID, location, badEffect, potionColor);
    }

    /**
     * Returns true if the potion has an instant effect instead of a continuous one (eg Harming)
     */
    public boolean isInstant()
    {
        return true;
    }

    /**
     * checks if Potion effect is ready to be applied this tick.
     */
    public boolean isReady(int duration, int amp, int ticks)
    {
        return duration >= 1;
    }
}
