package game.renderer.blockmodel;

import game.renderer.Vector3f;
import game.world.Facing;

public class BlockPartRotation {
	public final Vector3f origin;
	public final Facing.Axis axis;
	public final float angle;
	public final boolean rescale;

	public BlockPartRotation(float x, float y, float z, Facing.Axis axis, float angle, boolean rescale) {
		this.origin = (Vector3f)new Vector3f(x, y, z).scale(0.0625F);
		this.axis = axis;
		this.angle = angle;
		this.rescale = rescale;
	}
}
