package game.renderer.entity;

import game.entity.animal.EntityCow;
import game.renderer.model.ModelBase;


public class RenderCow extends RenderLiving<EntityCow>
{
    private static final String cowTextures = "textures/entity/cow.png";

    public RenderCow(RenderManager renderManagerIn, ModelBase modelBaseIn)
    {
        super(renderManagerIn, modelBaseIn);
    }

    /**
     * Returns the location of an entity's texture. Doesn't seem to be called unless you call Render.bindEntityTexture.
     */
    protected String getEntityTexture(EntityCow entity)
    {
        return cowTextures;
    }
}
