package game.renderer.entity;

import game.entity.animal.EntityMouse;
import game.renderer.model.ModelBase;


public class RenderMouse extends RenderLiving<EntityMouse>
{
    private static final String mouseTextures = "textures/entity/mouse.png";

    public RenderMouse(RenderManager renderManagerIn, ModelBase modelBaseIn)
    {
        super(renderManagerIn, modelBaseIn);
    }
    
    protected String getEntityTexture(EntityMouse entity)
    {
        return mouseTextures;
    }
}
