package game.renderer.entity;

import game.entity.projectile.EntityPotion;
import game.init.Items;
import game.item.ItemStack;

public class RenderPotion extends RenderItemEntity<EntityPotion>
{
    public RenderPotion(RenderManager renderManagerIn, RenderItem itemRendererIn)
    {
        super(renderManagerIn, Items.potion, itemRendererIn);
    }

    public ItemStack getStack(EntityPotion entityIn)
    {
        return new ItemStack(this.item, 1, entityIn.getPotionDamage());
    }
}
