package game.vars;

import game.color.TextColor;

public enum CVarCategory {
	SYSTEM(TextColor.RED + "system"),
	WINDOW(TextColor.BLUE + "window"),
	GUI(TextColor.GREEN + "gui"),
	STYLE(TextColor.VIOLET + "style"),
	RENDER(TextColor.NEON + "render"),
	BIND(TextColor.ORANGE + "bind"),
	CONSOLE(TextColor.YELLOW + "console"),
	PHYSICS(TextColor.CYAN + "physics"),
	WORLD(TextColor.MAGENTA + "world"),
	SOUND(TextColor.CRIMSON + "sound");
	
	private final String name;
	
	private CVarCategory(String name) {
		this.name = name;
	}
	
	public String toString() {
		return this.name;
	}
}
