package game.world;

import game.biome.Biome;
import game.tileentity.TileEntity;

public interface IWorldAccess extends IBlockAccess
{
    TileEntity getTileEntity(BlockPos pos);
    int getCombinedLight(BlockPos pos, int lightValue);
    Biome getBiomeGenForCoords(BlockPos pos);
}
