package game.biome;

import game.entity.animal.EntityMooshroom;
import game.init.Blocks;
import game.rng.WeightedList;

public class BiomeMushroom extends Biome
{
    public BiomeMushroom(int id)
    {
        super(id);
        this.treesPerChunk = -100;
        this.flowersPerChunk = -100;
        this.grassPerChunk = -100;
        this.mushroomsPerChunk = 1;
        this.bigMushroomsPerChunk = 1;
        this.topBlock = Blocks.mycelium.getState();
    }
    
    protected void addMobs(WeightedList<Biome.RngSpawn> mobs) {
        mobs.add(new Biome.RngSpawn(EntityMooshroom.class, 8, 4, 8));
    }
}
