package game.block;

import game.init.Items;
import game.item.Item;
import game.renderer.blockmodel.ModelBlock;
import game.world.State;

public class BlockCarrot extends BlockCrops
{
    protected Item getSeed()
    {
        return Items.carrot;
    }

    protected Item getCrop()
    {
        return Items.carrot;
    }
    
    public ModelBlock getModel(String name, State state) {
    	int age = state.getValue(AGE);
    	return crop(name + "_" + (age == 6 ? 2 : (age / 2)));
    }
}
