package game.block;

import game.material.Material;
import game.properties.PropertyDirection;
import game.world.Facing;

public abstract class BlockDirectional extends Block
{
    public static final PropertyDirection FACING = PropertyDirection.create("facing", Facing.Plane.HORIZONTAL);

    public BlockDirectional(Material materialIn)
    {
        super(materialIn);
    }
}
