package game.block;

import game.rng.Random;
import game.world.BlockPos;
import game.world.State;
import game.world.World;
import game.world.WorldServer;

public interface IGrowable
{
    boolean canGrow(World worldIn, BlockPos pos, State state, boolean isClient);

    boolean canUseBonemeal(World worldIn, Random rand, BlockPos pos, State state);

    void grow(WorldServer worldIn, Random rand, BlockPos pos, State state);
}
