package game.block;

import game.tileentity.TileEntity;
import game.world.World;

public interface ITileEntityProvider
{
    /**
     * Returns a new instance of a block's tile entity class. Called on placing the block.
     */
    TileEntity createNewTileEntity(World worldIn, int meta);
}
