package game.entity.npc;

import java.util.List;

import com.google.common.collect.Lists;

import game.item.RngLoot;
import game.rng.WeightedList;

public class ClassInfo {
	public final SpeciesInfo species;
	public final Enum type;
	public final List<CharacterInfo> chars;
	private final WeightedList<RngLoot>[] items;
	
	public ClassInfo(SpeciesInfo species, Enum type) {
		this.species = species;
		this.type = type;
		this.items = new WeightedList[6];
		for(int z = 0; z < this.items.length; z++) {
			this.items[z] = new WeightedList();
		}
		this.chars = Lists.newArrayList();
//		SpeciesRegistry.SPCLASSES.add(this);
		this.species.classmap.put(this.type, this);
	}
	
	public WeightedList<RngLoot>[] getItems() {
		return this.items;
	}
}
