package game.gui.element;

import game.gui.Gui;
import game.renderer.Drawing;

public class SelectedButton extends ActButton {
	public SelectedButton(int x, int y, int w, int h, Callback callback, String text) {
		super(x, y, w, h, callback, text);
	}

	public SelectedButton(int x, int y, int w, int h, Gui gui, String text) {
		super(x, y, w, h, gui, text);
	}
	
	protected void drawBackground() {
		Drawing.drawGradient2Border(this.pos_x, this.pos_y, this.size_x, this.size_y, this.gm.style.fill_btm, this.gm.style.fill_top, this.gm.style.brdr_top, this.gm.style.brdr_btm);
	}
}
