package game.item;

import game.block.Block;
import game.model.ModelBakery;
import game.renderer.blockmodel.ModelBlock;
import game.renderer.blockmodel.Transforms;

public class ItemChest extends ItemBlock {
	public ItemChest(Block block) {
		super(block);
	}

	public ModelBlock getModel(String name, int meta) {
    	return new ModelBlock(ModelBakery.MODEL_ENTITY, this.getTransform());
    }

    public Transforms getTransform() {
    	return Transforms.DEFAULT;
    }
}
