package game.item;

import java.util.function.Function;

import game.block.Block;
import game.block.BlockWall;
import game.renderer.blockmodel.ModelBlock;

public class ItemWall extends ItemMultiTexture {
	public ItemWall(Block block, Block block2, Function<ItemStack, String> nameFunction) {
		super(block, block2, nameFunction);
	}

	public ModelBlock getModel(String name, int meta) {
    	return new ModelBlock(
    		new ModelBlock(this.block.getStateFromMeta(this.getMetadata(meta)).getValue(BlockWall.VARIANT).getName()).noOcclude()
			.add(4, 0, 4, 12, 16, 12)
				.d().uv(4, 4, 12, 12)
				.u().uv(4, 4, 12, 12).noCull()
				.n().uv(4, 0, 12, 16).noCull()
				.s().uv(4, 0, 12, 16).noCull()
				.w().uv(4, 0, 12, 16).noCull()
				.e().uv(4, 0, 12, 16).noCull()
			.add(5, 0, 0, 11, 13, 16)
				.d().uv(5, 0, 11, 16)
				.u().uv(5, 0, 11, 16).noCull()
				.n().uv(5, 3, 11, 16)
				.s().uv(5, 3, 11, 16)
				.w().uv(0, 3, 16, 16).noCull()
				.e().uv(0, 3, 16, 16).noCull(), this.getTransform());
    }
}
