package game.log;

import game.properties.IStringSerializable;
import game.util.Displayable;

public enum ConsolePos implements Displayable, IStringSerializable {
	TOP("top", "Am oberen Bildschirmrand"),
	BOTTOM("bottom", "Am unteren Bildschirmrand");
	
	public final String id;
	public final String name;
	
	private ConsolePos(String id, String name) {
		this.id = id;
		this.name = name;
	}
	
	public String getName() {
		return this.id;
	}
	
	public String getDisplay() {
		return this.name;
	}
}
