package game.network;

import java.io.IOException;

public interface Packet<T extends NetHandler>
{
    void readPacketData(PacketBuffer buf) throws IOException;
    void writePacketData(PacketBuffer buf) throws IOException;
    void processPacket(T handler);
}
