package game.window;

public class DisplayMode {
	public static final int VID_MODES = 28;
	
	public final int width;
	public final int height;
	public final int refresh;

	public DisplayMode(int width, int height, int refresh) {
		this.width = width;
		this.height = height;
		this.refresh = refresh;
	}
	
	public String toString() {
		return String.format("%dx%d @ %d Hz", this.width, this.height, this.refresh);
	}
	
	public boolean equals(Object obj) {
		if(!(obj instanceof DisplayMode))
			return false;
		DisplayMode other = (DisplayMode)obj;
		return this.width == other.width && this.height == other.height && this.refresh == other.refresh;
	}
}
