package game.worldgen.structure;

public class MapGenMineshaft extends MapGenStructure
{
    private double chance = 0.004D;

//    public MapGenMineshaft()
//    {
//    }

    public String getStructureName()
    {
        return "Mineshaft";
    }

//    public MapGenMineshaft(Map<String, String> p_i2034_1_)
//    {
//        for (Entry<String, String> entry : p_i2034_1_.entrySet())
//        {
//            if (((String)entry.getKey()).equals("chance"))
//            {
//                this.field_82673_e = MathHelper.parseDoubleWithDefault((String)entry.getValue(), this.field_82673_e);
//            }
//        }
//    }

    protected boolean canSpawnStructureAtCoords(int chunkX, int chunkZ)
    {
        return this.rand.doublev() < this.chance && this.rand.zrange(80) < Math.max(Math.abs(chunkX), Math.abs(chunkZ));
    }

    protected StructureStart getStructureStart(int chunkX, int chunkZ)
    {
        return new StructureMineshaftStart(this.worldObj, this.rand, chunkX, chunkZ);
    }
}
